Skip to main content
PUT
/
api
/
docs
/
folder
/
{folderId}
Updates an existing document folder by its identifier.
curl --request PUT \
  --url https://{tenant}.ekso.app/api/docs/folder/{folderId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "<string>",
  "name": "<string>",
  "color": "<string>",
  "restrictedTo": [
    "<string>"
  ],
  "archived": true,
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}
'

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Path Parameters

folderId
string
required

The unique identifier of the folder to update.

Body

The updated folder data; Id must match folderId and TenantId must match the current tenant.

entity
null | string
name
string
color
string
restrictedTo
string[]
archived
boolean
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean

Response

The folder was updated successfully.